# Pos Payment Restriction

In some situations, one would have user restrictions on payment lines level.

This includes :

- An option to make payment amount readonly
- An option that adds a helper to disable the ‘Validate’ button (e.g.: waiting for an automatic payment transaction to be completed)

Table of contents

- Usage
- Changelog
  - 9.0.1.0.0 (2019-11-06)
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

- Go to Point of Sale
- Go to Configuration / Point of sale and click the PoS you want to configure
- In the Payments section check ‘Prefill Cash Payment’ and ‘Payment amount readonly’

On POS payment screen, the tendered amount cannot be modified

# Changelog

## 9.0.1.0.0 (2019-11-06)

- [9.0][ADD] pos_payment_restriction

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

Denis Roussel <denis.roussel@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/pos project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.